    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------
    028     * ColorBlock.java
    029     * ---------------
    030     * (C) Copyright 2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: ColorBlock.java,v 1.4.2.1 2005/10/25 20:39:38 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 22-Oct-2004 : Version 1 (DG);
    040     * 20-Apr-2005 : Added new draw() method (DG);
    041     *
    042     */
    043
    044    package org.jfree.chart.block;
    045
    046    import java.awt.Graphics2D;
    047    import java.awt.Paint;
    048    import java.awt.geom.Rectangle2D;
    049
    050    /**
    051     * A block that is filled with a single color.
    052     */
    053    public class ColorBlock extends AbstractBlock implements Block {
    054
    055        private Paint paint;
    056
    057        /**
    058         * Creates a new block.
    059         *
    060         * @param paint  the paint.
    061         * @param width  the width.
    062         * @param height  the height.
    063         */
    064        public ColorBlock(Paint paint, double width, double height) {
    065            this.paint = paint;
    066            setWidth(width);
    067            setHeight(height);
    068        }
    069
    070        /**
    071         * Draws the block.
    072         *
    073         * @param g2  the graphics device.
    074         * @param area  the area.
    075         */
    076        public void draw(Graphics2D g2, Rectangle2D area) {
    077            Rectangle2D bounds = getBounds();
    078            g2.setPaint(this.paint);
    079            g2.fill(bounds);
    080        }
    081
    082        /**
    083         * Draws the block within the specified area.
    084         *
    085         * @param g2  the graphics device.
    086         * @param area  the area.
    087         * @param params  ignored (<code>null</code> permitted).
    088         *
    089         * @return Always <code>null</code>.
    090         */
    091        public Object draw(Graphics2D g2, Rectangle2D area, Object params) {
    092            draw(g2, area);
    093            return null;
    094        }
    095
    096    }